> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Compound Interest

> Calculate compound interest.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/finance/compound-interest
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/finance/compound-interest:
    get:
      tags:
        - Finance Utilities
      summary: Compound Interest
      description: Calculate compound interest.
      operationId: compound_interest_v1_finance_compound_interest_get
      parameters:
        - name: principal
          in: query
          required: true
          schema:
            type: number
            exclusiveMinimum: 0
            description: Initial principal
            title: Principal
          description: Initial principal
        - name: rate
          in: query
          required: true
          schema:
            type: number
            description: Annual interest rate (as percentage, e.g., 5 for 5%)
            title: Rate
          description: Annual interest rate (as percentage, e.g., 5 for 5%)
        - name: time
          in: query
          required: true
          schema:
            type: number
            exclusiveMinimum: 0
            description: Time in years
            title: Time
          description: Time in years
        - name: compounds_per_year
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Compounding frequency per year
            default: 12
            title: Compounds Per Year
          description: Compounding frequency per year
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````